# Отчёт по лабораторной работе №1

Выполнила: студентка гр. ИСЭбд-41 Халитова А.М.

## Разворачивание сервиса MediaWiki

Содержимое файла `docker-compose.yml` в папке MediaWiki:

```yaml
version: "3.2"

services: #описание контейнеров
#Контейнер Mysql используется как сервер для запуска
  mysql:
    image: mysql:5.7.23 #образ контейнера
    container_name: mysql
    hostname: mysql
    volumes:
      - /var/lib/mysql:/var/lib/mysql
    env_file:
      - ./mysql.env
    restart: always

#Контейнер Mediawiki используется для запуска самого сервиса
  mediawiki:
    image: diouxx/mediawiki
    container_name : wiki
    hostname: wiki
    ports: #по какому порту мы получаем доступ к сервису по адресу http://localhost:8081/
      - "8081:80"
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
      - /var/www/html/wiki/:/var/www/html/wiki
      - ./data/LocalSettings.php:/var/www/html/LocalSettings.php

    restart: always
```
Далее в командной строке разворачиваем сервис командой `docker-compose up`:
![](shot1.png)

Открываем Docker Desktop и проверяем, что контейнер сервера базы данных и MediaWiki созданы и запущены:
![](shot2.png)

Переходим на http://localhost:8081:
![](shot3.png)

Переходим к установке MediaWiki и прописываем указанные нами в файле `mysql.env` значения хоста, имя пользователя и пароль:
![](shot4.png)
![](shot5.png)
![](shot6.png)

Далее заполняем данные страницы вики:
![](shot7.png)

И завершаем установку путем скачивания и открытия файла настроек страницы:
![](shot8.png)

## Разворачивание сервиса Wordpress

